<?php 
$wp_customize->add_section('pricing_area',array('title' => __( 'Pricing Section', 'Luzuk' ),'panel' => 'luzuk_premium_home_panel'));
$wp_customize->add_setting('pricing_area_disable',array('sanitize_callback' => 'luzuk_sanitize_text',));
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'pricing_area_disable',
        array(
            'settings' => 'pricing_area_disable',
            'section' => 'pricing_area',
            'label' => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array('on' => __( 'Yes', 'Luzuk' ), 'off' => __( 'No', 'Luzuk' )),
        )
    )
); 

lzCustomLable($wp_customize, 'pricing_areapadding', 'pricing_area', 'Set Section Padding');

$wp_customize->add_setting(
    'pricing_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaTpadding',
    array(
        'settings'      => 'pricing_areaTpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'pricing_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaBpadding',
    array(
        'settings'      => 'pricing_areaBpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

 

lzCustomLable($wp_customize, 'pricingarea_wavelb', 'pricing_area', 'Set Section Wave:');

$wp_customize->add_setting( 'pricingwave_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'pricingwave_display', array( 'label' => 'Section Wave Display', 'section' => 'pricing_area', 'settings' => 'pricingwave_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Wave', 'hide' => 'Hide Wave', ), ) );

lzCustomLable($wp_customize, 'pricing_area_overlayop', 'pricing_area', 'Set Section Background Color:');

addColorPalatOption($wp_customize, 'pricingarea_secbg_color_one', 'pricing_area', 'Background Color One ', '#fff');
addColorPalatOption($wp_customize, 'pricingarea_secbg_color_two', 'pricing_area', 'Background Color Two ', '#f5f5f5');


    $wp_customize->add_setting('pricing_page_maintitle',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Select Pricing Plan', 'Luzuk' )));
    $wp_customize->add_control(
        'pricing_page_maintitle',
        array(
            'settings'      => 'pricing_page_maintitle',
            'section'       => 'pricing_area',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'pricingarea_sectitle_color', 'pricing_area', 'Heading color ', '#202020');

addColorPalatOption($wp_customize, 'pricingarea_sectitleborder_color_one', 'pricing_area', 'Heading Border Color One ', '#f499c3');
addColorPalatOption($wp_customize, 'pricingarea_sectitleborder_color_two', 'pricing_area', 'Heading Border Color Two ', '#f62b85');

    $wp_customize->add_setting('pricing_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'pricing_npp_heading',
            array(
                'settings'      => 'pricing_npp_heading',
                'section'       => 'pricing_area',
                'label'         => __( 'Pricing planes to show', 'Luzuk' ),
            )
        )
    );    
    $wp_customize->add_setting('pricing_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
    $wp_customize->add_control(
        'pricing_npp_count',
        array(
            'settings'      => 'pricing_npp_count',
            'section'       => 'pricing_area',
            'type'          => 'select',
            'label'         => __( 'Number of plan to show', 'Luzuk' ),
            'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
        )
    );

    for($i=1;$i<=12;$i++){
        $wp_customize->add_setting('pricing_plan_heading_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text'));
        $wp_customize->add_control(
            new luzuk_Customize_Heading(
                $wp_customize,
                'pricing_plan_heading_'.$i,
                array(
                    'settings' => 'pricing_plan_heading_'.$i,
                    'section' => 'pricing_area',
                    'label' => __( 'Pricing Plan'.$i, 'Luzuk' ),
                )
            )
        ); 

$wp_customize->add_setting('pricing_plan_name_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Standard Plan', 'Luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_name_'.$i,
            array(
                'settings' => 'pricing_plan_name_'.$i,
                'section' => 'pricing_area',
                'type' => 'text',
                'label' => __( 'Add Plan Name Here:', 'Luzuk' )
            )
        );

        $wp_customize->add_setting('pricing_plan_unit_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '$', 'Luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_unit_'.$i,
            array(
                'settings' => 'pricing_plan_unit_'.$i,
                'section' => 'pricing_area',
                'type' => 'text',
                'label' => __( 'Add Plan Unit Here:', 'Luzuk' )
            )
        );
       
         $wp_customize->add_setting('pricing_plan_price_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '30', 'Luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_price_'.$i,
            array(
                'settings' => 'pricing_plan_price_'.$i,
                'section' => 'pricing_area',
                'type' => 'text',
                'label' => __( 'Add Plan Price Here:', 'Luzuk' )
            )
        );

         $wp_customize->add_setting('pricing_plan_content_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '  <p>Excepteur sint occaecat cupidatat non proi dent sunt in culpa.</p>
            <li>1 Bathroom Cleaning</li>
            <li>Up to 3 Bedrooms Cleaning</li>
            <li>1 Livingroom Cleaning</li>', 'Luzuk' )));
        $wp_customize->add_control(
            'pricing_plan_content_'.$i,
            array(
                'settings' => 'pricing_plan_content_'.$i,
                'section' => 'pricing_area',
                'type' => 'textarea',
                'label' => __( 'Add Pricing Plan Content Here:', 'Luzuk' )
            )
        );

    /*code for button text*/
    $wp_customize->add_setting(
        'pricing_page_button_title_'.$i,
        array(
            'sanitize_callback'=>'luzuk_sanitize_text',
            'default'=> __('Select Plan', 'Luzuk')
        )
    );
    $wp_customize->add_control(
        'pricing_page_button_title_'.$i,
        array(
            'settings' =>'pricing_page_button_title_'.$i,
            'section' => 'pricing_area',
            'type'=> 'text',
            'label'=> __('Add Button Text Here:', 'Luzuk')
        )
    );

        lzAddElement($wp_customize, 'pricing_plan_url_'.$i, 'pricing_area', $type = 'text', $label="Add Link for Pricing Plan".$i."&nbsp;if Pricing Plan selected", $callback ='esc_url', $default='#');

    }

addColorPalatOption($wp_customize, 'pricingarea_PlanNameColor', 'pricing_area', 'Plan Name Text color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_Planprice_color', 'pricing_area', 'Plan Name Price Text color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_planpriceboxbg_color_one', 'pricing_area', 'Plan Price Box Color One ', '#516ced');
addColorPalatOption($wp_customize, 'pricingarea_planpriceboxbg_color_two', 'pricing_area', 'Plan Price Box Color Two ', '#8972ea');

addColorPalatOption($wp_customize, 'pricingarea_PlanContentColor', 'pricing_area', 'Plan Content Color ', '#666666');
addColorPalatOption($wp_customize, 'pricingarea_PlanContentlistColor', 'pricing_area', 'Plan Content List Color ', '#787878');

addColorPalatOption($wp_customize, 'pricing_ButtontextColor', 'pricing_area', 'Plan Button Text Color ', '#f72985');

addColorPalatOption($wp_customize, 'pricing_ButtonbgColor', 'pricing_area', 'Plan Button Background Color ', '#fff');

addColorPalatOption($wp_customize, 'pricing_ButtonbghoverColor', 'pricing_area', 'Plan Button Background Hover Color ', '#f72985');

addColorPalatOption($wp_customize, 'pricing_ButtonborderColor', 'pricing_area', 'Plan Button Border Color ', '#f72985');